VERSION 5.00
Object = "{74848F95-A02A-4286-AF0C-A3C755E4A5B3}#1.0#0"; "actskn43.ocx"
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   3930
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   9255
   FillStyle       =   2  'Horizontal Line
   BeginProperty Font 
      Name            =   "MS Sans Serif"
      Size            =   67.5
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   LinkTopic       =   "Form1"
   Picture         =   "list.frx":0000
   ScaleHeight     =   3930
   ScaleWidth      =   9255
   StartUpPosition =   3  'Windows Default
   Begin ACTIVESKINLibCtl.SkinLabel lbl_umum 
      Height          =   1695
      Left            =   120
      OleObjectBlob   =   "list.frx":5B4C4
      TabIndex        =   7
      Top             =   600
      Width           =   2175
   End
   Begin VB.CommandButton Command4 
      Caption         =   "Reset"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   360
      Left            =   2160
      TabIndex        =   6
      Top             =   2760
      Width           =   1095
   End
   Begin VB.CommandButton Command3 
      Caption         =   "Cetak"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   480
      Left            =   5280
      TabIndex        =   5
      Top             =   2280
      Width           =   2175
   End
   Begin VB.CommandButton Command2 
      Caption         =   "Cetak"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   480
      Left            =   2760
      TabIndex        =   4
      Top             =   2280
      Width           =   2175
   End
   Begin ACTIVESKINLibCtl.Skin skn 
      Left            =   3840
      OleObjectBlob   =   "list.frx":5B52A
      Top             =   4200
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Cetak "
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   495
      Left            =   120
      TabIndex        =   2
      Top             =   2280
      Width           =   2175
   End
   Begin ACTIVESKINLibCtl.SkinLabel lbl_wa 
      Height          =   1695
      Left            =   5280
      OleObjectBlob   =   "list.frx":B4C21
      TabIndex        =   1
      Top             =   600
      Width           =   2175
   End
   Begin ACTIVESKINLibCtl.SkinLabel lbl_js 
      Height          =   1815
      Left            =   2760
      OleObjectBlob   =   "list.frx":B4C89
      TabIndex        =   0
      Top             =   600
      Width           =   2175
   End
   Begin VB.PictureBox Picture1 
      Height          =   615
      Left            =   0
      Picture         =   "list.frx":B4CF1
      ScaleHeight     =   555
      ScaleWidth      =   7635
      TabIndex        =   3
      Top             =   0
      Width           =   7695
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim WithEvents RSList As Recordset
Attribute RSList.VB_VarHelpID = -1


Private Sub Command1_Click()
Call ActConn
Dim available As Inte
'RSList.Open "SELECT MAX(nmr_umum) FROger
Set RSList = New Recordset

'jika data tidak adaM view WHERE nmr_umum = '0' ", strConn

    SQLinsert = "INSERT INTO cetakkartu (nmr_umum) VALUES('" & lbl_umum & "')"
    dbconn.Execute SQLinsert
    dbconn.Execute SQLinsert
    
    
           End Sub

Private Sub Command4_Click()
Dim response
response = MsgBox("Yakin Untuk Menghapus Data ?", vbYesNo + vbQuestion, "critical")

If response = vbYes Then
SQLDelete = "Delete From cetakkartu"
    dbconn.Execute SQLDelete
 
MsgBox "Success Reset, Please Close All Client Program"

Unload Me
End If
End Sub

Private Sub Form_Load()
Me.Left = (Screen.Width - Me.Width)
Me.Top = (Screen.Height - Me.Height * 2)
' ========== LOAD SKIN ==============
Dim Skinpath As String
Skinpath = App.Path & "\green.skn"
skn.LoadSkin Skinpath
skn.ApplySkin Me.hwnd
    
'ini memanggil database
Call ActConn


Set RSget2 = New Recordset
RSget2.Open "SELECT TOP 1(nmr_umum,nmr_bpjs,nmr_wa) FROM cetakkartu order by id DESC"

'jika data baru tidak ada
If RSget2.EOF Then
    lblnextqueue.Caption = "?"
Else
    MsgBox "Anda Memiliki 1 Antrian Yang Tertunda", vbOKOnly
    suspendqueue = RSget2(0)
    lblnextqueue.Caption = suspendqueue

End If

End Sub

